Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(590)

Unified Diff: mojo/tools/mojob.sh

Issue 217043005: Mojo: Make the mojob.sh unit test runner skip previously-passed tests. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 6 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « mojo/tools/data/unittests ('k') | mojo/tools/pylib/transitive_hash.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: mojo/tools/mojob.sh
diff --git a/mojo/tools/mojob.sh b/mojo/tools/mojob.sh
index 7d887e703fa4c7130733050bdb191b1037296863..7cf4066a93030761488b603caff543ea3f4ca5df 100755
--- a/mojo/tools/mojob.sh
+++ b/mojo/tools/mojob.sh
@@ -50,15 +50,8 @@ do_build() {
do_unittests() {
echo "Running unit tests in out/$1 ..."
- "out/$1/mojo_common_unittests" || exit 1
- "out/$1/mojo_apps_js_unittests" || exit 1
- "out/$1/mojo_js_unittests" || exit 1
- "out/$1/mojo_public_bindings_unittests" || exit 1
- "out/$1/mojo_public_environment_unittests" || exit 1
- "out/$1/mojo_public_system_unittests" || exit 1
- "out/$1/mojo_public_utility_unittests" || exit 1
- "out/$1/mojo_service_manager_unittests" || exit 1
- "out/$1/mojo_system_unittests" || exit 1
+ mojo/tools/test_runner.py mojo/tools/data/unittests "out/$1" \
+ mojob_test_successes || exit 1
}
do_perftests() {
« no previous file with comments | « mojo/tools/data/unittests ('k') | mojo/tools/pylib/transitive_hash.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698